Subject: bug#26074: closed (Re: bug#26074: [PATCH 1/3] gnu: Add python-htmlmin)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 13 Mar 2017 18:51:04 +0000

Your bug report

#26074: [PATCH 1/3] gnu: Add python-htmlmin

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
26074: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=26074
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#26074: [PATCH 1/3] gnu: Add python-htmlmin
From: Marius Bakke <[email-masked]>
To: Catonano <[email-masked]>
Cc: [email-masked]
Date: Mon, 13 Mar 2017 19:50:22 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Catonano <[email-masked]> writes:

> 2017-03-13 17:22 GMT+01:00 Marius Bakke <[email-masked]>:
>
>> Catonano <[email-masked]> writes:
>>
>> > 2017-03-12 19:40 GMT+01:00 Catonano <[email-masked]>:
>> >
>> >> Marius,
>> >>
>> >> thank you for reviewing !
>> >>
>> >
>> > I'm almost ready.
>> >
>> > The only problem now is that python-flask-logins tests fail
>> >
>> > starting phase `check'
>> > running "python setup.py" with command "test" and parameters ()
>> > Checking pep8 compliance...
>> > flask_login/login_manager.py:409:29: E122 continuation line missing
>> > indentation or outdented
>> > make: *** [Makefile:23: pep8] Error 1
>> > phase `check' failed after 1.5 seconds
>> >
>> >
>> > I don't know what pep8 compliance is, it seems something similar to Guix
>> > linting for packages
>>
>> Yes, it's purely a style checker. Note that the "pep8" package has been
>> deprecated for "python-pycodestyle". Can you see if that works? If not,
>> we can probably skip those tests.
>>
>
> I tried with pycodestyle but it claims that the pep8 command can't be found.
> So I got it rolled back
>
>
>>
>> Thanks for working on it! Can you also add a copyright line with one of
>> the commits? Pseudonyms are fine :-)
>>
>
> Sorry, I forgot :-/
>
> I added a line for the copyright in a single commit so now they are 4
> patches

Thanks!

I changed the commit messages to match what we usually do for Python
packages. Also did minor edits to synopses and descriptions to please
`guix lint` and be slightly more user friendly (mostly copy-paste of
upstream descriptions), and changed the PEP8 comment to mention the bug
report you opened.

Also squashed the copyright commit into the first one. Pushed!

Subject: [PATCH 1/3] gnu: Add python-htmlmin
From: Catonano <[email-masked]>
To: [email-masked]
Date: Sun, 12 Mar 2017 15:34:33 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

I have been thinking to package pgAdmin4

I gave up soon, too many deps

But these 3 are the ones I had already packaged

So I submit them anyway

There's no point in throwing them away
From a7a97e38bffeb99bce0963633550955529e9d5c8 Mon Sep 17 00:00:00 2001
From: humanitiesNerd <[email-masked]>
Date: Sun, 12 Mar 2017 10:44:26 +0100
Subject: [PATCH 1/3] gnu: Add python-htmlmin

* gnu/packages/python.scm (htmlmin): New variable.
---
 gnu/packages/python.scm | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/gnu/packages/python.scm b/gnu/packages/python.scm
index ee785c26e..c7b7a7689 100644
--- a/gnu/packages/python.scm
+++ b/gnu/packages/python.scm
@@ -13598,3 +13598,24 @@ The distinctive feature of this B-tree is that a node is never
 copy-on-write.  This makes it easy to clone a tree, and modify only the
 clone, while other processes access the original tree.")
     (license license:gpl3+)))
+
+(define-public python-htmlmin
+  (package
+    (name "python-htmlmin")
+    (version "0.1.10")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (pypi-uri "htmlmin" version))
+       (sha256
+        (base32
+         "0qxa93j3p1ak32qh8d9kshqv8v3z0hkc13dwbhp5cn7sn3xmsp6a"))))
+    (arguments
+     `(#:tests? #f)) ;htmlmin has no tests
+    (build-system python-build-system)
+    (home-page
+     "https://htmlmin.readthedocs.org/en/latest/")
+    (synopsis "Htmlmin is an HTML Minifier")
+    (description "An HTML minifier that just works.
+It comes with safe defaults and an easily configurable set options.")
+    (license license:bsd-3)))
-- 
2.12.0